Page MenuHomePhabricator

In other projects sidebar
Closed, ResolvedPublic

Description

Sitelinks to other projects should be displayed on the placeholder, too.

Event Timeline

Lucie created this task.Aug 1 2016, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 2:57 PM
hoo added a comment.Aug 2 2016, 11:07 AM

OtherProjectsSidebarGenerator in Wikibase client is what creates the sidebar (there's more code needed to display it etc., but that one does most of the heavy lifting).

Problems:

  • Generating the sidebar requires loading all Sites from CACHE_ACCEL (we might already do this on every placeholder view, don't know for sure).
  • OtherProjectsSidebarGenerator creates the sidebar by getting the Item that is linked with the current page, that obviously wont work for ArticlePlaceholders, so further refactoring will be required there.
Lucie moved this task from Incoming to Doing on the ArticlePlaceholder board.Aug 3 2016, 3:15 PM
Lucie claimed this task.Aug 3 2016, 3:37 PM
Danny_B renamed this task from [Story] In other projects sidebar to In other projects sidebar.Aug 9 2016, 9:30 PM
Danny_B added a project: Story.
hoo moved this task from Doing to Review on the ArticlePlaceholder board.Aug 28 2016, 2:58 PM
Lucie closed this task as Resolved.Aug 30 2016, 12:39 PM
Lucie moved this task from Review to Done on the ArticlePlaceholder board.